Bug 497817 - Interfaces are always controlled by NetworkManager even if these Interfaces are disabled
Interfaces are always controlled by NetworkManager even if these Interfaces a...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-27 08:13 EDT by dstat
Modified: 2009-11-19 19:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 19:05:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dstat 2009-04-27 08:13:11 EDT
Description of problem:
I am not able to let interfaces not be managed by NetworkManager.

Version-Release number of selected component (if applicable):
NetworkManager Applet: 0.7.1

How reproducible:


Steps to Reproduce:
1. Select System --> Administration --> Network Device Control
2. Select a device (I tried eth1 and wlan0), edit and unselect "Controlled by NetworkManager"
3. Restart NetworkManager with service NetworkManager restart or rebooting the system
  
Actual results:
The devices are still managed by NetworkManager

Expected results:
The devices are not managed by NetworkManager any longer

Additional info:
The file in /etc/sysconfig/network-scripts/ifcfg-eth1 contains
http://fpaste.org/paste/10248, including NM_CONTROLLED=no
Comment 1 Niels Haase 2009-04-28 16:42:25 EDT
Thanks for filling this bug. 
Reporter, can you please give some examples what NM does or what you expected NM not does? If such situation occurs, can you please attach your /var/log/messages. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2009-06-09 10:39:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Niels Haase 2009-06-19 18:01:26 EDT
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Dan Williams 2009-11-19 19:05:55 EST
Also please try with latest F11 NetworkManager updates which include fixes to the ifcfg-rh plugin that parses ifcfg files.

Note You need to log in before you can comment on or make changes to this bug.